import os

LABEL_WIDTH = 145
TRASH_COLUMN_WIDTH = 36
FORM_SPACING_X = 4
FORM_SPACING_Y = 2
WINDOW_DIMENSIONS = [800, 900]
WINDOW_TITLE = "Conductor"
JOBS_INDEX_WINDOW_TITLE = "Workflow API | List Jobs"
LIST_HEADER_BG = (0.35, 0.35, 0.35)
UNCONNECTED_MODEL = [{"name": "none", "description": "Not connected"}]
UNCONNECTED_DUAL_MODEL = [
    {"label": "None", "content": [{"name": "none", "description": "Not connected"}]}
]
NONE_MODEL = [{"name": "none", "description": "None"}]

DESKTOP_API = "http://localhost:3031"
DESKTOP_URLS = {
    "HEALTHZ": f"{DESKTOP_API}/healthz",
    "COMPOSER": f"{DESKTOP_API}/graph",
    "MONITOR": f"{DESKTOP_API}/monitor",
    "NAVIGATE": f"{DESKTOP_API}/navigate",
}

WORKFLOW_API = "http://localhost:8000/workflow"
WORKFLOW_URLS = {
    "HEALTHZ": f"{WORKFLOW_API}/healthz",
    "ACCOUNTS": f"{WORKFLOW_API}/v1/accounts",
    "VALIDATE": f"{WORKFLOW_API}/v1/validate",
}


DESKTOP_APP_ROUTES = [
    "/",
    "/user_management",
    "/storage_center",
    "/graph_composer",
    "/monitor",
    "/job_center",
    "/projects",
    "/plugins",
    "/my_account",
    "/billing_center",
    "/docs",
    "/support",
    "/downloader",
    "/upload_monitor",
]

MODULE_NAME = "cwmaya"
PLUGIN_NAME = "CoreWeave,py"

TYPE_BOOL = "bool"
TYPE_INT = "integer"
TYPE_FLOAT = "float"
TYPE_STR = "string"
DATATYPES = [TYPE_BOOL, TYPE_INT, TYPE_FLOAT, TYPE_STR]
