from cwmaya.tabs.task_tab import TaskTab
import pymel.core as pm


class ScriptTaskTab(TaskTab):

    def __init__(self):

        super(ScriptTaskTab, self).__init__()

        self.script_ctl = None

        self.build_ui()

    def build_ui(self):
        pm.setParent(self.column)
        self.label_ctl = self.create_text_control("Label")
        pm.setParent(self.column)
        pm.frameLayout(label="Maya batch script", collapsable=True, collapse=True)
        self.script_ctl = self.create_script_control()
        pm.setParent(self.column)
        self.commands_ctl = self.create_commands_control()
        pm.setParent(self.column)
        self.output_path_ctl = self.create_output_path_control() 
        pm.setParent(self.column)
        pm.frameLayout(label="Extra assets", collapsable=True, collapse=False)
        self.extra_assets_ctl = self.create_extra_assets_control()
        
        pm.setParent(self.column)
        advanced = pm.frameLayout(label="Advanced", collapsable=True, collapse=True)
        pm.setParent(advanced)
        pm.frameLayout(label="Environment", collapsable=True, collapse=False)
        self.environment_ctl = self.create_kvpairs_control()
        pm.setParent(advanced)
        pm.frameLayout(label="Hardware", collapsable=True, collapse=False)
        self.hardware_ctl = self.create_hardware_control()
        pm.setParent(advanced)
        pm.frameLayout(label="Software", collapsable=True, collapse=False)
        self.software_ctl = self.create_software_control()
        pm.setParent(self.column)

    def enable_commands(self, use_script):
        self.commands_ctl.setEnable(not use_script)

    def bind(self, node, prefix):
        super(ScriptTaskTab, self).bind(node, prefix)
        self.script_ctl.bind(node, prefix, use_script_changed=self.enable_commands)

    def hydrate_data_models(self, **kwargs):
        super(ScriptTaskTab, self).hydrate_data_models(**kwargs)