# -*- coding: utf-8 -*-

import pymel.core as pm

from cwmaya.tabs import simple_tab, job_tab
from cwmaya.template.base import ui as base_ui


class CwChainUi(base_ui.CwTemplateBase):

    CONNECTIONS = [
        ("defaultRenderGlobals.startFrame", "startFrame"),
        ("defaultRenderGlobals.endFrame", "endFrame"),
        ("defaultRenderGlobals.byFrameStep", "byFrame"),
        ("time1.outTime", "currentTime"),
    ]

    @classmethod
    def bind(cls, node, dialog):

        super().bind(node, dialog)

        pm.setParent(dialog.tabLayout)
        dialog.tabs["job_tab"] = job_tab.JobTab()

        pm.setParent(dialog.tabLayout)
        dialog.tabs["wrk_tab"] = simple_tab.SimpleTab()

        pm.setParent(dialog.tabLayout)
        
        dialog.tabLayout.setTabLabel((dialog.tabs["wrk_tab"], "Work"))
        dialog.tabLayout.setTabLabel((dialog.tabs["job_tab"], "Job"))
 
        dialog.tabs["wrk_tab"].bind(node, "wrk")
        dialog.tabs["job_tab"].bind(node)
        dialog.tabLayout.setSelectTabIndex(1)
