# -*- coding: utf-8 -*-

import pymel.core as pm

from cwmaya.tabs import simple_tab, script_task_tab, job_tab
from cwmaya.template.base import ui as base_ui


class CwSimRenderUi(base_ui.CwTemplateBase):

    CONNECTIONS = [
        ("defaultRenderGlobals.startFrame", "startFrame"),
        ("defaultRenderGlobals.endFrame", "endFrame"),
        ("defaultRenderGlobals.byFrameStep", "byFrame"),
        ("time1.outTime", "currentTime"),
    ]

    @classmethod
    def bind(cls, node, dialog):

        super().bind(node, dialog)

        pm.setParent(dialog.tabLayout)
        dialog.tabs["job_tab"] = job_tab.JobTab()

        pm.setParent(dialog.tabLayout)
        dialog.tabs["sim_tab"] = script_task_tab.ScriptTaskTab()

        pm.setParent(dialog.tabLayout)
        dialog.tabs["render_tab"] = simple_tab.SimpleTab()

        pm.setParent(dialog.tabLayout)
        dialog.tabs["quicktime_tab"] = simple_tab.SimpleTab()

        pm.setParent(dialog.tabLayout)

        dialog.tabLayout.setTabLabel((dialog.tabs["sim_tab"], "Sim"))
        dialog.tabLayout.setTabLabel((dialog.tabs["render_tab"], "Render"))
        dialog.tabLayout.setTabLabel((dialog.tabs["quicktime_tab"], "Quicktime"))
        dialog.tabLayout.setTabLabel((dialog.tabs["job_tab"], "Job"))

        dialog.tabs["sim_tab"].bind(node, "sim")
        dialog.tabs["render_tab"].bind(node, "rnd")
        dialog.tabs["quicktime_tab"].bind(node, "qtm")
        dialog.tabs["job_tab"].bind(node)
        dialog.tabLayout.setSelectTabIndex(1)
